Bug 843395 - TestPlan.get_test_cases() should include the sortkey
TestPlan.get_test_cases() should include the sortkey
Status: VERIFIED
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.8.1
Assigned To: Yang Ren
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 04:41 EDT by Petr Šplíchal
Modified: 2016-06-23 00:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-07-26 04:41:38 EDT
Description of problem:

When getting the list of all test plan cases it would be fine to
include the sortkey as well. I see there is the TestCasePlan.get()
function but it would more efficient to fetch all the sortkeys in
one call rather then calling it for each test case separately.

Version-Release number of selected component (if applicable):
Nitrate 3.8.0

Steps to Reproduce:
TestPlan.get_test_cases(6544))

Actual results:
[{'alias': '',
  'arguments': '',
  'attachment': [],
  'author': 'psplicha',
  'author_id': 2117,
  'case_id': 174452,
  'case_status': 'CONFIRMED',
  'case_status_id': 2,
  'category': '      Function    ',
  'category_id': 415,
  'component': [],
  'create_date': '2012-07-07 03:19:43',
  'default_tester': 'psplicha',
  'default_tester_id': 2117,
  'estimated_time': '00:00:00',
  'extra_link': None,
  'is_automated': 0,
  'is_automated_proposed': False,
  'notes': '',
  'plan': [6740, 6730, 6729, 6726, 6725, 6544, 6504, 6503, 6499],
  'priority': 'P1',
  'priority_id': 1,
  'requirement': '',
  'reviewer': None,
  'reviewer_id': None,
  'script': '',
  'summary': 'Test case',
  'tag': []},
  ...

Expected results:
sortkey included in the result hash as well.
Comment 2 Zheng Liu 2012-09-24 01:55:53 EDT
This bug has been fixed, please verify in next release.
Comment 3 Xin Gao 2012-10-10 03:57:24 EDT
Verify 3.8.1 on tcms-test -->PASS

Verify steps:
>>> TestPlan.get_test_cases(7043)

Actual result:
"sortkey" info are included in the result.

Note You need to log in before you can comment on or make changes to this bug.